Bug 427975 - node is not currently part of a cluster
node is not currently part of a cluster
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-cluster (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 07:34 EST by Frederic Hornain
Modified: 2009-12-18 01:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2008-01-08 07:34:04 EST
Description of problem:
I have created a two nodes Fedora Xen cluster.
At the command line the cluster is working -see output of clustat below-

 Member Status: Quorate

  Member Name                        ID   Status
  ------ ----                        ---- ------
  f8_1                                  1 Online, Local, rgmanager
  f8_2                                  2 Online, rgmanager

  Service Name         Owner (Last)                   State         
  ------- ----         ----- ------                   -----         
  service:MyService    f8_2                           started

However, when I try to launch s-c-c I have the following error message :
"Because this node is not currently part of a cluster, the management tab for
this application is not available."

So I look for known bugs and I discovered these ones :

See also bugzilla #233621
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233621
<https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233621> )
Also be aware of this bugzilla when using the management tab of
system-config-cluster: #233633
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233633)

The solution was to do an ln -s /usr/sbin/cman_tool /sbin/cman_tool on every
node and everything will work fine.

But it is not.

So I decided to have a look at the python code in order to see what is launched.
And I discovered that part of code -see below in 
/usr/share/system-config-cluster/CommandHandler.py

  def isClusterMember(self):
    args = list()
    args.append("/sbin/magma_tool")
    args.append("quorum")
    cmdstr = ' '.join(args)
    try:
      out, err, res = executil.execWithCaptureErrorStatus("/sbin/magma_tool",args)
    except RuntimeError, e:
      return False

    if res != 0:
      return False

    #look for 'Connect Failure' substring
    lines = out.splitlines()
    for line in lines:
      val = line.find("Connect Failure")
      if val != (-1):
        return False

    return True

So I saw s-c-c was using magma_tool in order to define if your node is part of a
cluster.

However magma_tool is not provided anymore in F8.
So what have I to do in order to make s-c-c work ?

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.29-1.0

How reproducible:
Create two Fedora 8 xen domain with recently full updated packages.
Run these ones on Domain0.

Adapt their name and ip in order to create two cluster nodes.
Hostname node 1 : F8_1
Hostname node 2 : F8_2

ip node 1 : 192.168.1.10
ip node 2 : 192.168.1.20

edit /etc/host on node 1 and node 2 and write these sentences :

# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1       localhost.localdomain   localhost
::1     localhost.localdomain   localhost
192.168.1.10    f8_1.fedora.com f8_1
192.168.1.20    f8_2.fedora.com f8_2

save it

Install the following packages :
cman-2.0.60-3.fc7.i386.rpm                                 
perl-HTML-Parser-3.56-2.fc8.i386.rpm
fedora-usermgmt-0.10-1.fc8.noarch.rpm                      
perl-HTML-Tagset-3.10-6.fc8.noarch.rpm
fedora-usermgmt-core-0.10-1.fc8.noarch.rpm                 
perl-IO-Compress-Base-2.005-2.fc8.noarch.rpm
fedora-usermgmt-default-fedora-setup-0.10-1.fc8.noarch.rpm 
perl-IO-Compress-Zlib-2.005-2.fc8.noarch.rpm
fedora-usermgmt-shadow-utils-0.10-1.fc8.noarch.rpm         
perl-libwww-perl-5.808-3.fc8.noarch.rpm
gfs2-utils-0.1.25-1.fc7.i386.rpm                           
perl-MailTools-1.77-2.fc8.noarch.rpm
heartbeat-2.1.2-2.fc8.i386.rpm                             
perl-Net-Telnet-3.03-5.1.noarch.rpm
ipvsadm-1.24-9.i386.rpm                                    
perl-Params-Validate-0.88-3.fc8.i386.rpm
ldirectord-2.1.2-2.fc8.i386.rpm                            
perl-TimeDate-1.16-6.fc8.noarch.rpm
openais-0.80.1-6.i386.rpm                                  
perl-URI-1.35-3.1.noarch.rpm
perl-Class-Singleton-1.4-1.fc8.noarch.rpm                  
pils-2.1.2-2.fc8.i386.rpm
perl-Compress-Raw-Zlib-2.005-3.fc8.i386.rpm                
rgmanager-2.0.23-2.fc7.i386.rpm
perl-Compress-Zlib-2.005-2.fc8.noarch.rpm                  
stonith-2.1.2-2.fc8.i386.rpm
perl-DateTime-0.41-1.fc8.i386.rpm                          
system-config-cluster-1.0.29-1.0.noarch.rpm
perl-Digest-SHA1-2.11-4.fc8.i386.rpm

You can retrieve them from a Fedora Mirror.

Then edit the /etc/cluster/cluster.conf on both nodes and write in them :
<?xml version="1.0"?>
<cluster alias="Xen_Cluster" config_version="1" name="alpha_cluster">
        <fence_daemon post_fail_delay="1" post_join_delay="3"/>
        <clusternodes>
                <clusternode name="f8_1" nodeid="1" votes="1">
                        <fence>
                                <method name="1">
                                        <device name="MyFence" nodename="f8_1"/>
                                </method>
                        </fence>
                </clusternode>
                <clusternode name="f8_2" nodeid="2" votes="1">
                        <fence>
                                <method name="1">
                                        <device name="MyFence" nodename="f8_2"/>
                                </method>
                        </fence>
                </clusternode>
        </clusternodes>
        <cman expected_votes="1" two_node="1"/>
        <fencedevices>
                <fencedevice agent="fence_manual" name="MyFence"/>
        </fencedevices>
        <rm>
                <failoverdomains>
                        <failoverdomain name="Xen" ordered="0" restricted="1"/>
                </failoverdomains>
                <resources/>
                <service autostart="1" domain="Xen" exclusive="1" name="MyService">
                        <ip address="192.168.1.30" monitor_link="0"/>
                </service>
        </rm>
</cluster>

Start cman and rgmanager deamon
service cman start
service rgmanager start

launch s-c-c and you should have this message :


"Because this node is not currently part of a cluster, the management tab for
this application is not available."

Steps to Reproduce:
1 launch system-config-cluster on the set environment described above.
2.
3.
  
Actual results:

"Because this node is not currently part of a cluster, the management tab for
this application is not available."

Expected results:

Management Tab should appear.

Additional info:
Comment 1 Jim Parsons 2008-01-30 14:00:30 EST
There are currently two versions of system-config-cluster. This version is for
use with RHEL4. Fedora 8 should be using the RHEL5 variant, without magma_tool
calls. I'll rebuild for fedora 8. Sorry. 
Comment 2 Tim Taylor 2008-03-03 14:02:41 EST
This bug is affecting me as well.  Is the Fedora 8 version of s-c-c available yet?
Comment 3 Bug Zapper 2008-11-26 04:20:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Juran 2008-11-27 06:49:57 EST
Still broken with system-config-cluster-1.0.53-2 and cman-2.99.12-2.fc10 on Fedora 10
Comment 5 Jan "Yenya" Kasprzak 2009-06-23 12:30:16 EDT
Hmm, another long-term bug with known solution, for which the fixed package has not been created yet.

The bug is not present in F11, because cman-3.0.0-15.rc1.fc11.x86_64 contains cman_tool in /usr/sbin.

However, even symlinking cman_tool to /usr/sbin does not help, because s-c-c now tries to run another non-existent binary - /usr/sbin/clustat (which is a missing dependency of system-config-cluster: I don't have a file named "clustat" on neither on my F10 nor F11 systems).
Comment 6 Bug Zapper 2009-11-18 07:24:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:02:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.